test_information:
  name: reference schema
  parse_error: false

test_schema:
  validator:
    $ref: "#/definitions/very/nested/reference"

    definitions:
      very:
        nested:
          reference:
            type: object
            required:
              - prop1
            properties:
              prop1:
                type: string

test_objects:
  success:
    - name: happy reference
      object:
        prop1: vote if you want

  failure:
    - name: referenced object does not pass
      object:
        prop2: vote about it all you like

    - name: referenced object was never an object in the first place!
      object: prep
